<?
include '../config.php';
include '../func.php';
head();
aut();
ban();
////////////////////////
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'clan' WHERE `id` = '".$id_session."'");
####################################################

$id = num($_GET['id']);
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$id."'"));

if ( empty( $clan['id'] ) ) {
    
    echo head . "<b>Ошибка</b>" . div;  
    echo 'Данной группы не существует.<br/>';
    pod_navig();
    foot();
    exit();
    
}
echo head . "<b>Группа | ".$clan['name']."</b>" . div . katalog;   

if ( $_POST['submit'] ) {
    
    $msg = html($_POST['msg']);
    
    if ( empty($msg) )  $err = link1 . 'Сообщение не введено' . div;
    
    $post = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans_stena` WHERE `clan` = '".$id."' order by id desc limit 1"));
    
    if ( $msg == $post['text'] )  $err = link1 . 'Повтор сообщения' . div;
    
    
    $result = mysql_query("SELECT * FROM `clans_user` WHERE (`clan` = '".$id."') and  (`user` = '".$id_session."')");

    if( mysql_affected_rows()== 0)  $err = link1 . 'Вы не можете писать на стене. Т.к вы не состоите в группе' . div;
    
    
    
    
    if ( $err ) {
        
        echo $err;
    
    } else {
        
    
        
        $a = mysql_query("INSERT INTO `clans_stena` SET `user` = '".$id_session."', `text` = '".nl2br($msg)."', `clan` = '".$id."', `date` = '".mktime()."'");
        
        if ( $a == 1 )
        echo link1 . 'Сообщение успешно добавлено' . div;
        else
        echo link1 . 'Возникла ошибка' . div;
    
    
}

}

if ( $clan['private'] == 0) 
$status = 'Открытая';
else
$status = 'Закрытая';
    
//echo link1 . '<big><b>'.$clan['name'].'</b></big>' . div . div;
//echo kub . '<img src="../style/img/kub.gif" alt="" />' . div . katalog;

if (!empty($clan['url_file'])) {
    echo '<img src="../resize.php?img=clan/logo/'.$clan['url_file'].'&width=200&height" alt="."/>';
} else {
    echo '<img src="../resize.php?img=noava.png&width=200&height" alt="."/>';
}
echo div;
echo link2 . '<b>Описание:</b> '.$clan['info'] . div;


$result = mysql_query("SELECT * FROM `clans_user` WHERE `clan` = '".$id."' and  `user` = '".$id_session."'");

echo link1;
if( mysql_affected_rows()!= 0)  {
    
    echo '<b>Вы уже состоите в группе</b><br/ >';
    echo "<a href=\"exit.php?id=".$clan['id']."\">Покинуть группу</a>";
    
} else {
    
    echo "<a href=\"add_user.php?id=".$clan['id']."\">Вступить в группу</a>";
    
}
echo div;


echo link2 . "<a href=\"ustav.php?id=".$clan['id']."\">Правила группы</a><br/ >";
echo "<a href=\"users.php?id=".$clan['id']."\">Люди в группе</a>" . div;

if ( $id_session == $clan['user'] )
echo link1 . "<b><a href=\"admin.php?id=".$clan['id']."\">Управление группой</a></b>";

echo div . div;


echo link2 . '<form action="view.php?id='.$clan['id'].'" method="post" name="form">';
echo '<textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;"></textarea>';

echo '<input name="submit" type="submit" class="button" value="Написать" /></form><br/ >';

$all = mysql_result(mysql_query("SELECT count(*) FROM clans_stena WHERE `clan` = '".$clan['id']."'"), 0);

if ( $all > 0 ) {
    
$result = mysql_query("SELECT * FROM clans_stena WHERE `clan` = '".$clan['id']."' order by id desc limit 5");
while($b = mysql_fetch_assoc($result)){
    
    echo '<b>'.user($b['user']).'';
    echo '</b> | '.strftime("%d.%m.%y",$b['date']).'<br/>'.mat(smile(parsebb(adminbb(nl2br($b['text']))))).'<br/><br/ >';
}

if ( $all > 5 )
echo "<a href=\"stena.php?id=".$clan['id']."\">Читать дальше...</a><br/ >";

} else {
    
    
    echo 'Здесь еще никто не писал.<br/>';
    
}
echo div;

//echo div . kub . '<img src="../style/img/kub.gif" alt="" />' . div . katalog;

echo link1 . '<b>Обсуждения:</b>' . div . link2;
$all5 = mysql_result(mysql_query("SELECT count(*) FROM clans_forumt WHERE `clan` = '".$clan['id']."'"), 0);
if ( $all5 > 0) {
 $result = mysql_query("SELECT * FROM clans_forumt WHERE `clan` = '".$clan['id']."' order by id desc limit 3");
    while($a = mysql_fetch_assoc($result)){
        $all3 = mysql_result(mysql_query("SELECT count(*) FROM clans_forump WHERE `theme` = '".$a['id']."'"), 0);
        echo '<b>Тема:</b> <a href="forum.php?mod=theme&t='.$a['id'].'&id='.$clan['id'].'">'.$a['name'].'</a> ['.$all3.']<br/>';
    }
    echo '<b><a href="forum.php?mod=add_theme&id='.$clan['id'].'">Создать тему</a></b> | ';
    $all4 = mysql_result(mysql_query("SELECT count(*) FROM clans_forumt WHERE `clan` = '".$clan['id']."'"), 0);
    echo '<a href="forum.php?id='.$clan['id'].'">Все темы</a> ['.$all4.']<hr>';
} else {
    echo 'Темы еще не созданы<br/ >';
    
    
    mysql_query("SELECT * FROM `clans_user` WHERE `clan` = '".$id."' and  `user` = '".$id_session."'");
    if( mysql_affected_rows()!= 0)
    echo '<b><a href="forum.php?mod=add_theme&id='.$clan['id'].'">Создать тему</a></b> | ';
    $all4 = mysql_result(mysql_query("SELECT count(*) FROM clans_forumt WHERE `clan` = '".$clan['id']."'"), 0);
    echo '<a href="forum.php?id='.$clan['id'].'">Все темы</a> ['.$all4.']<hr>';
}
echo div;
echo link1 . '<b>Администрация:</b>' . div . link2;
echo "<a href=\"../".$clan['user']."\">".user($clan['user'])."</a> (Создатель)<br/ >";

echo div;

////////////////////////

pod_navig();
foot();
?>